### Class

# EvinceView JobLoadFd

since: 42.0

#### Description [src]

    class EvinceView.JobLoadFd : EvinceView.Job
    {
      char* mime_type,
      char* password,
      int fd,
      EvDocumentLoadFlags flags
    }

A job class to load a `EvDocument` from a file descriptor referring to a regular file.

Available since: 42.0

#### Ancestors

- EvJob
- GObject

#### Constructors

###### ev_job_load_fd_new

Creates a new `EvJobLoadFd` for `fd`. If duplicating `fd` fails, returns `NULL` with `error` filled in.

since: 42.0

###### ev_job_load_fd_new_take

No description available.

#### Instance methods

###### ev_job_load_fd_set_fd

Sets `fd` as the file descriptor in `job`. If duplicating `fd` fails, returns `FALSE` with `error` filled in.

since: 42.0

###### ev_job_load_fd_set_load_flags

No description available.

###### ev_job_load_fd_set_mime_type

No description available.

###### ev_job_load_fd_set_password

No description available.

###### ev_job_load_fd_take_fd

Sets `fd` as the file descriptor in `job`. Note that `job` takes ownership of `fd`; you must not do anything with it afterwards.

since: 42.0

##### Methods inherited from EvJob (11)

###### ev_job_cancel

No description available.

###### ev_job_failed

No description available.

###### ev_job_failed_from_error

No description available.

###### ev_job_get_run_mode

No description available.

###### ev_job_is_failed

No description available.

###### ev_job_is_finished

No description available.

###### ev_job_run

No description available.

###### ev_job_scheduler_push_job

No description available.

###### ev_job_scheduler_update_job

No description available.

###### ev_job_set_run_mode

No description available.

###### ev_job_succeeded

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from EvJob (2)

###### EvJob::cancelled

No description available.

###### EvJob::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EvinceViewJobLoadFdClass {
      EvJobClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvJobClass`

  No description available.